Ruby: ext/win32ole/win32ole_method.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Functions | Variables
win32ole_method.h File Reference

Go to the source code of this file.

## Data Structures
struct | olemethoddata

## Functions
VALUE | folemethod_s_allocate (VALUE klass)
VALUE | ole_methods_from_typeinfo (ITypeInfo *pTypeInfo, int mask)
VALUE | create_win32ole_method (ITypeInfo *pTypeInfo, VALUE name)
struct olemethoddata * | olemethod_data_get_struct (VALUE obj)
void | Init_win32ole_method (void)

## Variables
VALUE | cWIN32OLE_METHOD

## Function Documentation

## ◆ create_win32ole_method()

VALUE create_win32ole_method | ( | ITypeInfo * | pTypeInfo,
|  | VALUE | name
| ) |  |

Definition at line 210 of file win32ole_method.c.

References cWIN32OLE_METHOD, folemethod_s_allocate(), name, and olemethoddata::pTypeInfo.

## ◆ folemethod_s_allocate()

VALUE folemethod_s_allocate | ( | VALUE | klass | ) |

Definition at line 239 of file win32ole_method.c.

References olemethoddata::index, NULL, olemethoddata::pOwnerTypeInfo, olemethoddata::pTypeInfo, and TypedData_Make_Struct.

Referenced by create_win32ole_method(), and Init_win32ole_method().

## ◆ Init_win32ole_method()

void Init_win32ole_method | ( | void |  | ) |

Definition at line 928 of file win32ole_method.c.

References cWIN32OLE_METHOD, folemethod_s_allocate(), rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class(), and rb_define_method.

Referenced by Init_win32ole().

## ◆ ole_methods_from_typeinfo()

VALUE ole_methods_from_typeinfo | ( | ITypeInfo * | pTypeInfo,
|  | int | mask
| ) |  |

Definition at line 112 of file win32ole_method.c.

References eWIN32OLEQueryInterfaceError, HRESULT(), mask, OLE_GET_TYPEATTR, ole_raise(), OLE_RELEASE, OLE_RELEASE_TYPEATTR, olemethoddata::pTypeInfo, and rb_ary_new().

## ◆ olemethod_data_get_struct()

struct olemethoddata * olemethod_data_get_struct | ( | VALUE | obj | ) |

Definition at line 67 of file win32ole_method.c.

References TypedData_Get_Struct.

## Variable Documentation

## ◆ cWIN32OLE_METHOD

VALUE cWIN32OLE_METHOD
| extern

Definition at line 926 of file win32ole_method.c.

Referenced by create_win32ole_method(), and Init_win32ole_method().